View Issue Details

IDProjectCategoryView StatusLast Update
0001321SUMoBugpublic2011-01-14 23:50
ReporterMarc01FRAssigned ToKyle_Katarn 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformIntelOSWindows 7OS Version32 bit
Product Version2.10.7 
Target VersionFixed in Version2.11 
Summary0001321: User Agent not working with squid proxy persistent connections
DescriptionI am using Squid proxy with integrated authentication and SUMo is not able to retrieve update information.

After analysis, it is linked to the user agent used by SUMo: Mozilla/3.0. When Squid encounters this user agent, it does not allow persistent connections and as such, my authentication credentials cannot get further to the initial handshake.

Some versions of Netscape 3.0 (yes, this is many years ago) had problems
with persistent connections. To help these broken browsers, the proxy
has been modified to not offer persistent connections to browsers with
the User-Agent "Mozilla/3." or "Netscape/3.".
Steps To ReproduceLaunch SUMo
Specify proxy setting to use Squid proxy
Click on Check
SUMo runs through the list but never gives update information
Additional InformationWith a Hex Editor, I modified the 2 Mozilla/3.0 strings in the SUMo binary to Mozilla/4.0 and it started to work.

The solution is that straight forward: Change the current Mozilla/3.0 string to Mozilla/4.0

Any chance to get this in the SUMo binary by default?
TagsNo tags attached.

Relationships

related to 0001324 resolvedKyle_Katarn VideoInspector User Agent not working with squid proxy persistent connections 
related to 0001326 resolvedKyle_Katarn AudioGrail User Agent not working with squid proxy persistent connections 

Activities

Kyle_Katarn

2011-01-13 22:48

administrator   ~0000634

Mozilla/4.0 will be the default Agent and it will be possible to use a custom agent definition

Issue History

Date Modified Username Field Change
2011-01-11 18:09 Marc01FR New Issue
2011-01-11 21:06 Kyle_Katarn Assigned To => Kyle_Katarn
2011-01-11 21:06 Kyle_Katarn Status new => acknowledged
2011-01-13 22:48 Kyle_Katarn Note Added: 0000634
2011-01-14 23:32 Kyle_Katarn Issue cloned: 0001324
2011-01-14 23:32 Kyle_Katarn Relationship added related to 0001324
2011-01-14 23:43 Kyle_Katarn Status acknowledged => resolved
2011-01-14 23:43 Kyle_Katarn Fixed in Version => 2.11
2011-01-14 23:43 Kyle_Katarn Resolution open => fixed
2011-01-14 23:50 Kyle_Katarn Issue cloned: 0001326
2011-01-14 23:50 Kyle_Katarn Relationship added related to 0001326